from employees import read_csv

emps = read_csv('emps.csv')
slownik = {}
# W słowniku kluczem jest job, a wartością jest dwuelementowa lista: [count, sum]

for emp in emps:
    if emp.job_title in slownik:
        slownik[emp.job_title][0] += 1
        slownik[emp.job_title][1] += emp.salary
    else:
        slownik[emp.job_title] = [1, emp.salary]

print(slownik)
print()

for job in slownik.keys():
    ilosc = slownik[job][0]
    suma = slownik[job][1]
    srednia = suma / ilosc
    print(f'| {job:32} | {ilosc:2} | {srednia:8.2f} |')
